DATA = load('run_1_original');
DATA = DATA';

% Metric names
%1,num_fd
%2,virtual_memory
%3,ram_memory
%4,voluntary_ctxt_switch
%5,nonvoluntary_ctxt_switch
%6,num_threads
%7,user_time
%8,sys_time
%9,minor_faults
%10,major_faults 

% Metrics we want to take the derivative from
deriv = [4, 5, 7, 8, 9, 10];

%s = size(deriv);
%numMetrics = s(2);

for i=deriv,
    i
   d = DATA(i,:);
   new_d = diff(d);
   new_d = [0; new_d']';
   
   % save derivative
   DATA(i,:) = new_d;
end

DATA = DATA';

save('run_1_diff','DATA','-ascii', '-double', '-tabs');