function [vector] = check_constant_metrics(data)
%   rows: points
% columns: metrics

dataSize = size(data);
vector = zeros(1,dataSize(2));

for i=1:dataSize(2),
    lastValue = data(1,i);
    flag = 1;
    for j=2:dataSize(1),
        if (lastValue ~= data(j,i))
            flag = 0;
            break;
        end
        lastValue = data(j,i);
    end
    
    if (flag == 1)
       vector(i) = 1; 
    else 
       vector(i) = 0; 
    end
end

end

