#!/usr/bin/perl
use warnings;
use strict;

# This script gets the initial parameters for the training program.
# It provides: num. metrics, num. windows, num. points per window

# Usage: ./get_parameters.pl (win_directory)

my $path = $ARGV[0];

##### Variables #####
my $num_metrics;
my $num_windows;
my $num_points;
#####################

# Num metrics
$num_metrics = `ls $path/models/ | wc -l`;
chomp($num_metrics);

# Num windows
$num_windows = `ls $path/windows/win_1_* | wc -l`;
chomp($num_windows);

# Num points
$num_points = `cat $path/windows/win_1_1 | wc -l`;
chomp($num_points);

printf "$num_windows|$num_metrics|$num_points\n";

