% Plot onservation window and prediction window
%DATA = load('pred_metrics.dat');
DATA = load('sampled_ccvs.dat');

dataSize = size(DATA);

% Number of metrics
numMetrics = dataSize(2);

% Number of points
numPoints = dataSize(1);

numMetricsPerPage = 5;

for i=1:numMetrics,
    index = mod(i-1,numMetricsPerPage);
    
    if (index == 0)
        figure;
    end

    subplot(numMetricsPerPage,1,index+1);
    plot(DATA(:,i));
    xlim([1 numPoints]);
end