/*
 * global.h
 *
 *  Created on: Feb 10, 2011
 *      Author: Ignacio Laguna
 *     Contact: ilaguna@purdue.edu
 */

#ifndef GLOBAL_H_
#define GLOBAL_H_

#include "detection_engine.h"
#include <string>
#include <vector>
#include <map>

using namespace std;

/*------------------------------------------------------------*/
/* Global variables                                           */
/*------------------------------------------------------------*/

extern Config config;

extern vector<Models> modelsBase;

extern string database_path;

extern vector< vector<double> > window;

extern struct timeval curr_time;

extern vector<unsigned int> const_metrics;

extern vector<double> const_values;

extern map<unsigned int, MetricPair> validCCVDimensions;

extern vector< vector<double> > h_sphere;

extern map<string, vector<double> > time_traces;

extern map<unsigned int, string> metricNames;

extern vector<double> standardDeviation;

#endif /* GLOBAL_H_ */
