% Number of runs
numRuns = 30;

% Indexes from where we get data from
min_index = 200;
max_index = 600;

% Number of data points
numPoints = max_index - min_index;

% Vector of KNN distance
%DIST = zeros(numRuns * numPoints, 1);
DIST = [];

for i=1:numRuns,
    % Load file
    prefix = 'out_';
    id = int2str(i);
    ext = '.dat';
    file = strcat(prefix,id,ext);
    data = load(file);
    
    % Add loaded data to vector
    DIST = [DIST; data(min_index:max_index-1,1)];
end

mean(DIST)
std(DIST)
max(DIST)