#!/usr/bin/perl
use warnings;
use strict;

# Find the error sample out of a data file

#### Variables ####
my $filename = $ARGV[0];
my $error_sample = 0;
###################

open FILE, $filename or die $!;
while (my $line = <FILE>) {
	chomp($line);
	
	if ($line =~ m/^ERROR\_DETECTION/g) {
		#print "Line: $line\n";
		my @tmp = split(/\s+/, $line);
		$error_sample = $tmp[2];
	}
}
close(FILE);

# If error-sample is not found, it prints zero
print "$error_sample\n";