/*
 * timing.h
 *
 *  Created on: Feb 9, 2011
 *      Author: Ignacio Laguna
 *     Contact: ilaguna@purdue.edu
 */

#ifndef TIMING_H_
#define TIMING_H_

#include <time.h>
#include <sys/time.h>
#include <vector>
#include <map>

using namespace std;

int timeval_subtract (struct timeval *result,
		struct timeval *x,
		struct timeval *y);

void get_time_start();

void get_time_stop(const char *variable);

void print_times();

#endif /* TIMING_H_ */
